Public Member Functions | Public Attributes | List of all members
GreatWksDocumentInternal::State Struct Reference

Internal: the state of a GreatWksDocument. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a GreatWksDocument.

## Constructor & Destructor Documentation

## ◆ State()

GreatWksDocumentInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int GreatWksDocumentInternal::State::m_actPage

the actual page

## ◆ m_footerHeight

int GreatWksDocumentInternal::State::m_footerHeight

the footer height if known

## ◆ m_headerHeight

int GreatWksDocumentInternal::State::m_headerHeight

the header height if known

## ◆ m_numPages

int GreatWksDocumentInternal::State::m_numPages

the number of page of the final document

The documentation for this struct was generated from the following file:

- GreatWksDocument.cxx